%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Name:		pdfposter
Version:        0.6.0
Release:        1
Summary:        Scale and tile PDF images/pages to print on multiple pages
Group:          Applications/System
License:        GPLv3+
URL:            http://pythonhosted.org/pdftools.pdfposter/
Source0:        https://pypi.python.org/packages/source/p/pdftools.pdfposter/pdftools.%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  python-devel >= 2.6.2
BuildRequires:  python-setuptools >= 0.6.14-1

Requires:       pyPdf >= 1.13-1
Requires:       python >= 2.6.2

%description
Pdfposter can be used to create a large poster by building it from multple
pages and/or printing it on large media. It expects as input a PDF file,
normally printing on a single page. The output is again a PDF file, maybe
containing multiple pages together building the poster.  The input page 
will be scaled to obtain the desired size.


%prep
%setup -q -n pdftools.%{name}-%{version}


%build
python setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

python setup.py install -O1 --skip-build --root ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp docs/%{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}.1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc LICENSE-GPLv3.txt README.txt examples/
%{_bindir}/*
%{_mandir}/man*/*
%{python_sitelib}/pdftools*
/usr/bin/*


%changelog
* Tue Jul 30 2013 Michael Perzl <michael@perzl.org> - 0.6.0-1
- first version for AIX V5.1 and higher
